'use strict';

const should = require('chai').should();
const TwitchStream = require('../lib/stream');
const TwitchStreamMonitor = require('../lib/stream-monitor');

describe('TwitchStreamMonitor', function () {
    let stream = new TwitchStream('clockwork_femme');
    let monitor = new TwitchStreamMonitor(stream);

    it('needs a TwitchStream instance', function () {
        (function () {
            new TwitchStreamMonitor();
        }).should.throw();
        (function () {
            new TwitchStreamMonitor('cammymanny');
        }).should.throw();
    });

    // TODO: the result of this is WILDLY dependent on the whether the stream is actually online *right now*
    it('can check if people are online', function (done) {
        let seenEvent = false;
        monitor.on('online', function () {
            seenEvent = true;
            monitor.unwatch();
        });
        monitor.watch(300);
        setTimeout(function () {
            if (!seenEvent)
                done('Inconclusive. No event was emitted.');
            else
                done();
            monitor.unwatch();
        }, 1800);
    });
});